<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pd@06905=09090200</action>
    </script>
  </cheat>

  <cheat desc="Clear Credits Now!">
    <script state="on">
      <action>maincpu.pd@06905=00000000</action>
    </script>
  </cheat>

  <cheat desc="Infinite Thinking Time">
    <script state="run">
      <action>maincpu.pb@06650=02</action>
    </script>
  </cheat>

  <cheat desc="Select CPU Character">
    <parameter min="1" max="3" step="1"/>
    <script state="change">
      <action>maincpu.pb@07400=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Always winning hand">
    <script state="run">
      <action>maincpu.pw@062C0=3131</action>
      <action>maincpu.pd@062C2=35323232</action>
      <action>maincpu.pd@062C6=36363535</action>
      <action>maincpu.pd@062CA=37373736</action>
    </script>
  </cheat>

  <cheat desc="Get winning hand Now!">
    <script state="on">
      <action>maincpu.pw@062C0=3131</action>
      <action>maincpu.pd@062C2=35323232</action>
      <action>maincpu.pd@062C6=36363535</action>
      <action>maincpu.pd@062CA=37373736</action>
    </script>
  </cheat>

  <cheat desc="Unlock Secret Test Mode">
    <script state="on">
      <action>temp0 =maincpu.mw@4B44A</action>
    </script>
    <script state="run">
      <action>maincpu.mw@4B44A=BC1E</action>
    </script>
    <script state="off">
      <action>maincpu.mw@4B44A=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
